# v4.0.0 (Tue Jun 06 2023)

### Release Notes

#### Merge remote-tracking branch 'origin/latest' into epic/v4 ([#2146](https://github.com/knapsack-labs/app-monorepo/pull/2146))

Knapsack V4 includes new features such as block sizes and spacing, block reorganization, table block, revamped tokens engine, tokens importer, design token types, design token block, improved token demos, design token assets download, revamped tokens admin, AI chat bot, update system, new pattern stage experience, user responsibility types, rich text editor, and new color picker. Enhancements include a streamlined data model, theming with branching, updated dependencies, modern styling layer, and open-sourced design token utils.

[View full Release Notes in Notion](https://www.notion.so/knapsackcloud/Knapsack-V4-Major-Release-651d32784de4480ab379d381b1c7d0c6?pvs=4)

---

#### 💥 Breaking Change

- Merge remote-tracking branch 'origin/latest' into epic/v4 [#2146](https://github.com/knapsack-labs/app-monorepo/pull/2146) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into epic/v4 [#2146](https://github.com/knapsack-labs/app-monorepo/pull/2146) ([@GormanDesign](https://github.com/GormanDesign))
- merge in latest [#2146](https://github.com/knapsack-labs/app-monorepo/pull/2146) ([@illepic](https://github.com/illepic))
- Merge branch 'feature/ksp-3078-upgrade-to-typescript-5' into epic/v4 [#2146](https://github.com/knapsack-labs/app-monorepo/pull/2146) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into epic/v4 [#2146](https://github.com/knapsack-labs/app-monorepo/pull/2146) (EvanLovely)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into epic/v4 ([@EvanLovely](https://github.com/EvanLovely))
- Merge epic/v4 ([@illepic](https://github.com/illepic))
- Merge branch 'epic/v4' into poc-block-sizes ([@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/epic/v4' into feature/v4-migrate-demo-data ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into epic/v4 (4-8-23) [#2363](https://github.com/knapsack-labs/app-monorepo/pull/2363) ([@freneticpixel](https://github.com/freneticpixel) [@GormanDesign](https://github.com/GormanDesign) [@KnapsackBot](https://github.com/KnapsackBot))
- Merge remote-tracking branch 'origin/epic/v4' into feature/ksp-3138-initial-block-types-and-migration ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'epic/v4' into feature/ksp-3138-initial-block-types-and-migration ([@illepic](https://github.com/illepic))
- KSP-3076 Added group description to token admin [#2298](https://github.com/knapsack-labs/app-monorepo/pull/2298) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge remote-tracking branch 'origin/epic/v4' into feature/tokens-data-memo ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/tsup-update' into feature/v4-token-src-info ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/epic/v4' into feature/token-double-discriminated-union ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'epic/v4' into spacing-tokens-as-table ([@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/epic/v4' into feature/organize-v4-token-types ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/epic/v4' into feature/ksp-3051-implement-tokens-groups-cud-in ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/epic/v4' into feature/v4-design-token-block ([@EvanLovely](https://github.com/EvanLovely))
- KSP-3033: merge from latest ([@illepic](https://github.com/illepic))
- Merge branch 'epic/v4' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3036-update-token-admin-to-use-new-data-model ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Merge remote-tracking branch 'origin/feature/lazy-load-page-actions-menu-2' into feature/ksp-3034-ensure-app-ui-can-load-home-page ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/epic/v4' into feature/v4-token-build ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/epic/v4' into feature/v4-misc-libs ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v4-misc-libs ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/epic/v4' into feature/v4-app-client-data-changes ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v4-app-client-data-changes ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- add logic for loading v3/v4 UI and v3/v4 appClientData [#2563](https://github.com/knapsack-labs/app-monorepo/pull/2563) ([@EvanLovely](https://github.com/EvanLovely))
- Token form validation KSP-3282 KSP-3283 [#2542](https://github.com/knapsack-labs/app-monorepo/pull/2542) ([@GormanDesign](https://github.com/GormanDesign))
- v4: add token swatch demo in token form [#2316](https://github.com/knapsack-labs/app-monorepo/pull/2316) ([@EvanLovely](https://github.com/EvanLovely))
- Latest to v4 3-20-23 [#2315](https://github.com/knapsack-labs/app-monorepo/pull/2315) ([@mabry1985](https://github.com/mabry1985) [@GormanDesign](https://github.com/GormanDesign) [@KnapsackBot](https://github.com/KnapsackBot) [@EvanLovely](https://github.com/EvanLovely) [@freneticpixel](https://github.com/freneticpixel))
- KSP-3090: handle empty values when updating group [#2296](https://github.com/knapsack-labs/app-monorepo/pull/2296) ([@illepic](https://github.com/illepic))
- memoize convertTokenGroupToData [#2280](https://github.com/knapsack-labs/app-monorepo/pull/2280) ([@EvanLovely](https://github.com/EvanLovely) [@illepic](https://github.com/illepic))
- ensure App UI homepage can load KSP-3034 [#2167](https://github.com/knapsack-labs/app-monorepo/pull/2167) ([@EvanLovely](https://github.com/EvanLovely) [@illepic](https://github.com/illepic) [@GormanDesign](https://github.com/GormanDesign) [@KnapsackBot](https://github.com/KnapsackBot))

#### Authors: 9

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- EvanLovely@users.noreply.github.com (EvanLovely)
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- KnapsackBot ([@KnapsackBot](https://github.com/KnapsackBot))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.6 (Tue Jun 06 2023)

#### 🐛 Bug Fix

- Add copy action to code snippet block KSP-3248 [#2553](https://github.com/knapsack-labs/app-monorepo/pull/2553) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.5 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- ensure slots form only shows patterns of same template language KSP-3271 [#2555](https://github.com/knapsack-labs/app-monorepo/pull/2555) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3288-add-excludefromanalytics-to-sites-table ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- KSP-3288: Adds excludeFromAnalytics to sites and filters on this for daily summaries [#2535](https://github.com/knapsack-labs/app-monorepo/pull/2535) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v3.116.4 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Adds success toasts for template demo updates [#2545](https://github.com/knapsack-labs/app-monorepo/pull/2545) ([@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.3 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Fixes template language id not updating in template form [#2541](https://github.com/knapsack-labs/app-monorepo/pull/2541) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Add fs-extra types to packages without it [#2551](https://github.com/knapsack-labs/app-monorepo/pull/2551) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.0 (Fri May 26 2023)

#### 🚀 Enhancement

- pull all tools pkgs back in [#2526](https://github.com/knapsack-labs/app-monorepo/pull/2526) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- formatting pkgs ([@EvanLovely](https://github.com/EvanLovely))
- aligning all package versions ([@EvanLovely](https://github.com/EvanLovely))
- pull tools pkgs back into monorepo ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v3.111.0 (Wed Apr 19 2023)

#### 🐛 Bug Fix

- Merge branch 'main' into feature/monorepo-tool-updates ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v3.109.0 (Tue Apr 18 2023)

### Release Notes

#### add auto releases ([#1](https://github.com/knapsack-labs/tools/pull/1))

Initial release of our tools on the new public monorepo!

---

#### 🚀 Enhancement

- add auto releases [#1](https://github.com/knapsack-labs/tools/pull/1) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- add pkg format ([@EvanLovely](https://github.com/EvanLovely))
- clear turbo cache ([@EvanLovely](https://github.com/EvanLovely))
- update npmignore to include .turbo ([@EvanLovely](https://github.com/EvanLovely))
- change to workspace:* version specifier ([@EvanLovely](https://github.com/EvanLovely))
- swap files array for npmignore approach ([@EvanLovely](https://github.com/EvanLovely))
- change version from workspace:* to actual ([@EvanLovely](https://github.com/EvanLovely))
- add licenses ([@EvanLovely](https://github.com/EvanLovely))

#### ⚠️ Pushed to `main`

- initial commit ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
